%define        colord_uid  65441
%define        colord_gid  65441
Name:          colord
Version:       1.4.7
Release:       1mamba
Summary:       A system service that makes it easy to manage, install and generate color profiles
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/software/colord/
Source:        http://www.freedesktop.org/software/colord/releases/colord-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgudev-devel
BuildRequires: libgusb-devel
BuildRequires: liblcms2-devel
BuildRequires: libpolkit-devel
BuildRequires: libsqlite-devel
BuildRequires: libsystemd-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
BuildRequires: vala-tools
BuildRequires: argyllcms
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
colord is a system service that makes it easy to manage, install and generate color profiles to accurately color manage input and output devices.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      liblcms2-devel
Provides:      colord-devel
Obsoletes:     colord-devel < 1.4.6

%description -n lib%{name}-devel
This package contains static libraries and header files needed for development.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

#\
#   -Denable-vala=true \
#   -Denable-sane=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
   # add Colord user
   /usr/sbin/groupadd colord -g %{colord_gid} &>/dev/null
   /usr/sbin/useradd -u %{colord_uid} -c 'Colord user' -d /dev/null \
      -s /bin/false colord -g %{colord_gid} 2>/dev/null
   systemctl -q daemon-reload
   systemd-tmpfiles --create colord.conf
fi
:

%post
/sbin/ldconfig
:

%preun
# erase
if [ $1 -eq 0 ]; then
   userdel colord || true
   groupdel colord || true
fi
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
#%{_sysconfdir}/colord.conf
#%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ColorManager.conf
#%{_sysconfdir}/dbus-1/system.d/org.freedesktop.colord-sane.conf
%{_bindir}/cd-create-profile
%{_bindir}/cd-fix-profile
%{_bindir}/cd-iccdump
%{_bindir}/cd-it8
%{_bindir}/colormgr
%{_udevrulesdir}/69-cd-sensors.rules
%{_udevrulesdir}/95-cd-devices.rules
%{_unitdir}/colord.service
%{_userunitdir}/colord-session.service
%{_tmpfilesdir}/colord.conf
%dir %{_datadir}/color/icc/colord
%{_datadir}/color/icc/colord/*.icc
%dir %{_datadir}/colord
%dir %{_datadir}/colord/cmf
%{_datadir}/colord/cmf/*
%dir %{_datadir}/colord/icons
%{_datadir}/colord/icons/*.svg
%dir %{_datadir}/colord/illuminant
%{_datadir}/colord/illuminant/*
%dir %{_datadir}/colord/ref
%{_datadir}/colord/ref/*
%dir %{_datadir}/colord/ti1
%{_datadir}/colord/ti1/*.ti1
%{_datadir}/bash-completion/completions/colormgr
%{_datadir}/glib-2.0/schemas/org.freedesktop.ColorHelper.gschema.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorManager*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorHelper.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.ColorManager.service
%{_datadir}/dbus-1/services/org.freedesktop.ColorHelper.service
%{_datadir}/dbus-1/system.d/org.freedesktop.ColorManager.conf
%{_datadir}/polkit-1/actions/org.freedesktop.color.policy
%{_mandir}/man1/*.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libcolord*.so.*
%{_libdir}/libcolorhug.so.*
%dir %{_libdir}/colord-plugins
%{_libdir}/colord-plugins/libcolord_sensor_camera.so
%{_libdir}/colord-plugins/libcolord_sensor_scanner.so
%{_libdir}/girepository-1.0/Colord-1.0.typelib
%{_libdir}/girepository-1.0/Colorhug-1.0.typelib
%dir %{_libdir}/colord-sensors
%{_libdir}/colord-sensors/libcolord*
%{_libexecdir}/colord
%{_libexecdir}/colord-session
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/colord-1
%{_includedir}/colord-1/colord-session/cd-session.h
%{_includedir}/colord-1/colord.h
%{_includedir}/colord-1/colord-private.h
%dir %{_includedir}/colord-1/colord
%{_includedir}/colord-1/colord/*.h
%dir %{_includedir}/colord-1/colorhug
%{_includedir}/colord-1/colorhug/*.h
#%{_datadir}/vala/vapi/colord.vapi
%{_libdir}/libcolord.so
%{_libdir}/libcolorhug.so
%{_libdir}/lib*private.so
%{_datadir}/gir-1.0/Colorhug-1.0.gir
%{_datadir}/gir-1.0/Colord-1.0.gir
#%{_datadir}/vala/vapi/colord.vapi
%{_libdir}/pkgconfig/colorhug.pc
%{_libdir}/pkgconfig/colord.pc
#%doc ChangeLog NEWS TODO

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}/*

%changelog
* Mon Jan 22 2024 Automatic Build System <autodist@openmamba.org> 1.4.7-1mamba
- automatic version update by autodist

* Thu Jun 09 2022 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic version update by autodist

* Wed Nov 04 2020 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Tue Aug 13 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.4-2mamba
- rebuilt

* Sun Mar 10 2019 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic version update by autodist

* Mon Dec 05 2016 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic update by autodist

* Sun Jul 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-2mamba
- create user and group required by systemd tmpfile conf

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-2mamba
- rebuilt by autoport with build requirements: libcolord-devel>=1.2.12-1mamba

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-1mamba
- update to 1.2.12
- add libcolord and rename colord-devel to libcolord-devel

* Sat Nov 22 2014 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic update by autodist

* Mon Oct 13 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic update by autodist

* Thu Sep 11 2014 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Wed Apr 30 2014 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Tue Oct 01 2013 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Fri Jun 14 2013 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Fri May 03 2013 Automatic Build System <autodist@mambasoft.it> 0.1.34-1mamba
- automatic version update by autodist

* Fri Apr 19 2013 Automatic Build System <autodist@mambasoft.it> 0.1.33-1mamba
- automatic version update by autodist

* Wed Apr 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.31-2mamba
- rebuilt with vala

* Thu Mar 21 2013 Automatic Build System <autodist@mambasoft.it> 0.1.31-1mamba
- automatic version update by autodist

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 0.1.30-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 0.1.28-1mamba
- automatic version update by autodist

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 0.1.27-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 0.1.24-1mamba
- automatic version update by autodist

* Sat Oct 13 2012 Automatic Build System <autodist@mambasoft.it> 0.1.23-1mamba
- automatic version update by autodist

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 0.1.22-1mamba
- automatic version update by autodist

* Tue May 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.18-2mamba
- colord-devel: require liblcms2-devel needed by pkg-config file

* Tue Apr 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.18-1mamba
- update to 0.1.18

* Mon Nov 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.15-1mamba
- package created by autospec
